class phpmyadmin (
  $path    = "/home/vagrant/phpmyadmin",
  $servers = []
) {

    exec { "phpmyadmin.checkout":
        path        => "/bin:/usr/bin",
        command     => "git clone https://github.com/phpmyadmin/phpmyadmin.git $path",
        environment => 'HOME=${$home_path}',
        logoutput   => true,
        timeout     => 1800,
        require     => [ Package['git-core'] ]
    }

    exec { "phpmyadmin.upgrade":
        path    => "/bin:/usr/bin",
        command => "bash -c 'cd ${path}; git fetch; git checkout origin/STABLE'",
        require => Exec["phpmyadmin.checkout"]
    }

    file { "phpmyadmin.conf":
        path    => "$path/config.inc.php",
        content => template("phpmyadmin/config.inc.php.erb"),
        require => Exec["phpmyadmin.upgrade"]
    }
}